JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.webhooks.deliveries.stats();
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.webhooks.deliveries.stats()
print(response.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Webhooks.Deliveries.Stats(context.TODO(), mobileruncloud.WebhookDeliveryStatsParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}mobilerun-cloud webhooks:deliveries stats \
--api-key 'My API Key'curl --request GET \
--url https://api.mobilerun.ai/webhooks/deliveries/stats \
--header 'Authorization: Bearer <token>'
{
"data": {
"total": 123,
"byStatus": {
"pending": 123,
"success": 123,
"skipped": 123,
"dead": 123
},
"successRate": 123
}
}Webhook Deliveries
Get delivery statistics
Returns aggregate delivery statistics across all of your webhooks, including the total count, a breakdown by status (pending, success, skipped, dead), and the overall success rate. An optional since timestamp narrows the reporting window.
GET
/
webhooks
/
deliveries
/
stats
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.webhooks.deliveries.stats();
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.webhooks.deliveries.stats()
print(response.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Webhooks.Deliveries.Stats(context.TODO(), mobileruncloud.WebhookDeliveryStatsParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}mobilerun-cloud webhooks:deliveries stats \
--api-key 'My API Key'Was this page helpful?
⌘I